Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.kernel
Interface ResourceListener

All Known Implementing Classes:
  ActorService, CLIBackbone, CLIService, ConsoleService, HttpCLIService, HttpToolService, HttpToolServiceThread, KernalBasic_THINGProcessWrapper, KernelBasic, KernelBasicBase, LocalCommandService, ProxyService, Service, ThingService, ThingsProcess

    public interface ResourceListener

A resource listener interface. This will be called when the target has access to a resource that is being modified by the Kernel.

Version:
  1.0

  Version History

      EPG - Initial - 10 FEB 06

Author:
  Erich P. Gatejen

Method Summary
`WhoAmI` | `getListenerId()` Get the ID of the listener.
`void` | `resourceRevocation(WhoAmI resourceID)` The identified resource is in the process of being revoked.
`void` | `resourceRevoked(WhoAmI resourceID)` The identified resource bas been revoked.

Method Detail

### resourceRevocation

    void resourceRevocation(WhoAmI resourceID)
                            throws SystemException,
                                   java.lang.InterruptedException

  The identified resource is in the process of being revoked. It is still possible for the resource listener to call the resource within the context of this thread and call.

  Parameters:
    `resourceID` - the ID of the resource that is being revoked.
  Throws:
    `SystemException`
    `java.lang.InterruptedException`
  See Also:
    `WhoAmI`

### resourceRevoked

    void resourceRevoked(WhoAmI resourceID)
                         throws SystemException,
                                java.lang.InterruptedException

  The identified resource bas been revoked. It is gone. Attempting to call it would be a very bad thing. The listener should remove the resource from it's internal lists..

  Parameters:
    `resourceID` - the ID of the resource that has been revoked.
  Throws:
    `SystemException`
    `java.lang.InterruptedException`
  See Also:
    `WhoAmI`

### getListenerId

    WhoAmI getListenerId()

  Get the ID of the listener.

  Returns:
    The listener's ID.
  See Also:
    `WhoAmI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.